VisualEditor: When making text bold or italic following a template, pawn symbol appears
Closed, ResolvedPublic

Description

In hebrew wikipedia, when I have created a new article, added a tamplate to it, wrote text and made it bold or italic - instead of the text appeared a pawn symbol, that was bold or italic according to the button I have clicked.


Version: unspecified
Severity: critical
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=68147
https://bugzilla.wikimedia.org/show_bug.cgi?id=68691

bzimport set Reference to bz68151.
benjli created this task.Via LegacyJul 17 2014, 9:55 AM
Jdforrester-WMF added a comment.Via ConduitJul 26 2014, 2:27 AM

Confirmed in Chrome and Firefox.

Jdforrester-WMF added a comment.Via ConduitJul 26 2014, 2:27 AM
  • Bug 67797 has been marked as a duplicate of this bug. ***
Esanders added a comment.Via ConduitJul 27 2014, 1:06 PM

Can you clarify the instructions?

benjli added a comment.Via ConduitJul 28 2014, 4:35 AM
  1. Add a new page in Wikipedia, with the visual editor.
  2. Add tamplate to it (I used "מיון" tamplate in the hebrew wikipedia).
  3. Write any text after the tamplate.
  4. Select the text.
  5. Click on the "bold" or "italic" buttons.
  6. A pawn symbol appears.
Jdforrester-WMF added a comment.Via ConduitJul 28 2014, 4:38 PM
  • Bug 68691 has been marked as a duplicate of this bug. ***
Esanders added a comment.Via ConduitJul 28 2014, 6:47 PM

The cause here is template with multiple unwrapped siblings,

e.g. Template:Done -> [[File:tick.svg|20px]] Done

gerritbot added a comment.Via ConduitJul 28 2014, 6:48 PM

Change 149920 had a related patch set uploaded by Catrope:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/149920

gerritbot added a comment.Via ConduitJul 29 2014, 12:49 AM

Change 149920 had a related patch set uploaded by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/149920

gerritbot added a comment.Via ConduitJul 29 2014, 10:34 AM

Change 149920 merged by jenkins-bot:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/149920

gerritbot added a comment.Via ConduitJul 29 2014, 2:51 PM

Change 150222 had a related patch set uploaded by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150222

gerritbot added a comment.Via ConduitJul 29 2014, 2:51 PM

Change 150222 abandoned by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150222

gerritbot added a comment.Via ConduitJul 29 2014, 2:58 PM

Change 150224 had a related patch set uploaded by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 2:59 PM

Change 150224 abandoned by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 3:01 PM

Change 150224 restored by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 3:02 PM

Change 150224 abandoned by Jforrester:
Generate only one pair of snowmen for multi-sibling nodes

Reason:
I give up.

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 5:59 PM

Change 150274 had a related patch set uploaded by Catrope:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150274

gerritbot added a comment.Via ConduitJul 29 2014, 6:32 PM

Change 150224 restored by Catrope:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

gerritbot added a comment.Via ConduitJul 29 2014, 6:36 PM

Change 150274 merged by jenkins-bot:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150274

gerritbot added a comment.Via ConduitJul 29 2014, 6:36 PM

Change 150224 merged by jenkins-bot:
Generate only one pair of snowmen for multi-sibling nodes

https://gerrit.wikimedia.org/r/150224

Jdforrester-WMF added a comment.Via ConduitJul 29 2014, 7:09 PM

Should be now fully fixed in master; deployment to production scheduled for 4 hours' time.

Add Comment